@echo off

if "%1"=="" goto USAGE

call scripts\env.bat

IF EXIST tmp\atom del tmp\atom
IF EXIST tmp\atomurl del tmp\atomurl

Echo Downloading channel atom feed..
echo https://www.youtube.com/feeds/videos.xml?user=%1 > tmp\atomurl

%WGET% -q --show-progress -O tmp\atom --random-file=qv\qv.exe --no-check-certificate -i tmp\atomurl

IF ERRORLEVEL 1 GOTO NOTFOUND
IF EXIST tmp\atomurl del tmp\atomurl

Echo.
utils\ytatomp

IF EXIST tmp\atom del tmp\atom
IF NOT EXIST tmp\infourl GOTO END

call scripts\youtube.bat

goto END

:USAGE
echo usage: channel username
goto END

:NOTFOUND
echo Atom feed cannot be downloaded from youtube. Have you entered correct username?
goto END

:END