@echo off
call config.bat

IF EXIST tmp\video.3gp del tmp\video.3gp
IF EXIST tmp\info del tmp\info
IF NOT EXIST tmp\infourl GOTO NOIURL

echo Downloading video info ...
%wget% -q -O tmp\info --random-file=qv\qv.exe --no-check-certificate -i tmp\infourl

IF ERRORLEVEL 1 GOTO DOWNERRINFO
IF EXIST tmp\infourl del tmp\infourl

utils\ytinfop.exe %quality%

IF NOT EXIST tmp\url goto END

echo Downloading video ...
%wget% -i tmp\url -O tmp\video.3gp --random-file=qv\qv.exe --no-check-certificate -q --show-progress

IF ERRORLEVEL 1 GOTO DOWNERR
IF NOT EXIST tmp\video.3gp GOTO NOVIDEO
IF EXIST tmp\url del tmp\url
IF EXIST tmp\info del tmp\info

echo Starting video...
qv\qv tmp\video.3gp

goto END

:NOVIDEO
echo Error: video was not downloaded properly!
goto END

:NOIURL
echo Error: video info url was not found!
goto END

:DOWNERRINFO
echo Error: Cannot download video info from youtube
goto END

:DOWNERR
echo Error: Cannot download video from youtube
goto END

:END