@echo off

if "%1"=="" goto USAGE

call scripts\env.bat

IF EXIST tmp\search del tmp\search
IF EXIST tmp\infourl del tmp\infourl

Echo Searching for %1 %2 %3 %4 %5 %6

IF "%CMDEXTVERSION%" == "" GOTO NOESCAPE
echo https://youtube.com/results?search_sort=video_date_uploaded^&search_query=%1+%2+%3+%4+%5+%6^&hl=en > tmp\surl
GOTO SEARCH

:NOESCAPE
echo https://youtube.com/results?search_sort=video_date_uploaded&search_query=%1+%2+%3+%4+%5+%6&hl=en > tmp\surl

:SEARCH
IF NOT EXIST tmp\surl GOTO URLNOTSAVED

%WGET% -q --show-progress -O tmp\search --random-file=qv\qv.exe --no-check-certificate -i tmp\surl

IF ERRORLEVEL 1 GOTO DOWNERR
IF EXIST tmp\surl del tmp\surl

Echo.
utils\ytspp

IF EXIST tmp\search del tmp\search
IF NOT EXIST tmp\infourl GOTO END

call scripts\youtube.bat

goto END

:USAGE
echo usage: search string
goto END

:DOWNERR
echo Error: Cannot download youtube search page
goto END

:URLNOTSAVED
echo Error: Cannot save search URL.
echo You have propably reached maximum command length (OS limitation). Please try again with shorter search query.
goto END

:END